Name:		novprog
Version:	3.1.7
Release:	%mkrel 2
Summary:	Wordcount tracking program
Group:		Office/Utilities
License:	GPLv3+
URL:		http://gottcode.org/novprog
Source:		http://gottcode.org/novprog/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

%description
NovProg is a tool to graph your progress in writing a novel. You enter your
wordcount and it updates a graph showing you how much progress you have
made. It also shows you how far you are through your daily goal, and your
total goal. Mousing over a bar in the graph will show a tooltip with that
day’s wordcount.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc ChangeLog CREDITS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 3.1.7-2.mga8
+ Revision: 1659140
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 3.1.7-1.mga8
+ Revision: 1570403
- new version: 3.1.7

* Sat Feb 15 2020 umeabot <umeabot> 3.1.6-2.mga8
+ Revision: 1528359
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 3.1.6-1.mga8
+ Revision: 1430160
- new version: 3.1.6

* Sun Mar 31 2019 umeabot <umeabot> 3.1.5-3.mga7
+ Revision: 1383578
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.1.5-2.mga7
+ Revision: 1299793
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 3.1.5-1.mga7
+ Revision: 1244552
- new version: 3.1.5

* Wed May 30 2018 daviddavid <daviddavid> 3.1.4-1.mga7
+ Revision: 1233075
- initial package novprog

